package cz.zweistein.df.soundsense.config;

import java.util.List;
import java.util.Random;

public class Sound {
	
	private List<String> soundFiles;
	private String logPattern;
	
	// loop repeats indefinitely, only music can loop
	private boolean loop;
	// there can be only one music-type sound played
	private boolean music;
	// concurency is cap on how many sounds can be played concurenctly to this one.
	// if more sounds are playing than this number and this sound is triggered, it would be ignored.
	private Integer concurency; 
	
	public Sound(List<String> soundFiles, String logPattern, boolean loop, boolean music, Integer concurency) {
		this.soundFiles = soundFiles;
		this.logPattern = logPattern;
		this.loop = loop;
		this.music = music;
		this.concurency = concurency;
	}

	public Integer getConcurency() {
		return this.concurency;
	}

	public List<String> getSoundFiles() {
		return this.soundFiles;
	}
	
	public String getLogPattern() {
		return this.logPattern;
	}
	
	public boolean getLoop() {
		return this.loop;
	}

	public boolean getMusic() {
		return this.music;
	}

	public String getSoundFile() {
		return this.soundFiles.get(new Random().nextInt(this.soundFiles.size()));
	}

}
