package cz.zweistein.df.soundsense.log;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.logging.Logger;

import cz.zweistein.df.soundsense.util.LoggerSource;

public class LogReader {
	private static Logger logger = LoggerSource.logger;
	
	private static int delay = 100;
	
	private BufferedReader br;

	public LogReader(String logFile) throws IOException {
		
		FileInputStream in = new FileInputStream(logFile);
		this.br = new BufferedReader(new InputStreamReader(in));
		
		long length = new File(logFile).length();
		logger.info("Skipping "+length+" bytes.");
		br.skip(length);
		
	}
	
	public String getNextLine() throws IOException {
		
		while (true) {
			String  line =	this.br.readLine();
			if (line!= null) {
				return line;
			} else {
				 try {
					Thread.sleep(delay);
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
			}
		}
		
	}
}
